﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MovieDatabase
{
    public partial class Reports : Form
    {
        Database db;
        public Reports()
        {
            InitializeComponent();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            listBox1.Items.Clear();
            switch(comboBox1.SelectedIndex)
            {
                case 0:
                    {
                        var dbQuery1 = from movie in db.movies
                                       orderby movie.moviename ascending
                                       select movie;
                        foreach (Movie m in dbQuery1)
                        {
                            listBox1.Items.Add(m.getMovie());
                        }
                        break;
                    }
                case 1:
                    {
                        var dbQuery2 = from movie in db.movies
                                       orderby movie.category ascending
                                       select movie;
                        foreach(Movie m in dbQuery2)
                        {
                            listBox1.Items.Add(m.getMovie());
                        }
                        break;
                    }
                case 2:
                    {
                        var dbQuery3 = from movie in db.movies
                                       orderby movie.year ascending
                                       select movie;
                        foreach(Movie m in dbQuery3)
                        {
                            listBox1.Items.Add(m.getMovie());
                        }
                        break;
                    }
            }
        }

        public void getDatabase(Database d)
        {
            db = d;
        }
    }
}
