﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace dseproject4
{
    class Program
    {
        static void Main(string[] args)
        {
            Random random1 = new Random(Environment.TickCount);
            Random random2 = new Random(Environment.TickCount * 5);

            int[] sums = new int[36000];
            int sum;
            for(int i = 0; i < 36000; i++)
            {
                int die1 = 1 + random1.Next(6);
                int die2 = 1 + random2.Next(6);
                sum = die1 + die2;
                sums[i] = sum;               
            }

            int[] results = new int[13];
            foreach(int sum1 in sums)
            {
                ++results[sum1];
            }
            Console.WriteLine("Sum| Number of Times Appeared  |  Percent of Total Rolls");          
            Console.WriteLine("________________________________________________________");
            double percent;
            for(int z = 2; z < results.Length; z++)
            {
                percent = results[z];
                percent = (percent / 36000) * 100;
                if (z < 10)
                {
                    Console.WriteLine("  {0}|   {1,10}              |  {2,14:f2}%      |", z, results[z], percent);
                    Console.WriteLine("--------------------------------------------------------");
                }
                else
                {
                    Console.WriteLine(" {0}|   {1,10}              |  {2,14:f2}%      |", z, results[z], percent);
                    Console.WriteLine("--------------------------------------------------------");
                }
            }                           
            Console.ReadKey();
        }
    }
}
